#pragma once

#include "CoreMinimal.h"
#include "PlayerMutator.h"
#include "ModifyHookSacrificeTime.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class MUTATORS_API UModifyHookSacrificeTime : public UPlayerMutator
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _overridenSacrificeTime;

public:
	UModifyHookSacrificeTime();
};

FORCEINLINE uint32 GetTypeHash(const UModifyHookSacrificeTime) { return 0; }
